Draft: B-spline

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft BSpline and the translation is 15% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский
Arrow-left.svg Pagina precedente: Draft Dimension.svg Quotatura
Pagina successiva: Punto Draft Point.svg Arrow-right.svg

Draft BSpline.svg B-spline

Posizione nel menu
Draft → B-spline
Ambiente
Draft, Architettura
Avvio veloce
B S
Introdotto nella versione
0.7
Vedere anche
Polilinea, Curva di Bezier

Descrizione

Lo strumento Draft BSpline.svg B-spline crea una linea flessibile, passante per i punti selezionati nel piano di lavoro corrente. La B-spline assume il tipo di linea e il colore impostati nella barra di Draft.

Lo strumento B-spline specifica i punti esatti attraverso i quali deve passare la curva; invece lo strumento Draft BezCurve.svg Curva di Bezier usa i punti di controllo per definire l'andamento della curva. Per creare curve circolari o ellittiche esatte, usare Draft Arc.svg Arco e Draft Ellipse.svgEllisse.

Draft bspline example.jpg

S-pline definita da più punti

Utilizzo

See also: Draft Tray, Draft Snap and Draft Constrain.

  1. Premere il pulsante Draft BSpline.svg B-spline, o premere i tasti B e poi S.
  2. Selezionare il primo punto nella vista 3D, o digitare le coordinate e poi premere il pulsante Draft AddPoint.svg aggiungi punto.
  3. Selezionare un altro punto nella vista 3D, o digitare le sue coordinate e poi premere il pulsante Draft AddPoint.svg aggiungi punto.
  4. Premere Esc o il pulsante Close per completare l'editazione.

Options

The single character keyboard shortcuts available in the task panel can be changed. See Draft Preferences. The shortcuts mentioned here are the default shortcuts.

Opzioni

  • Premere il tasto A o il pulsante Draft FinishLine.svg Termina pulsante per terminare la spline, lasciandola aperta.
  • Premere il tasto O o il pulsante Draft CloseLine.svg Chiudi per chiudere la spline, questo aggiuge una curva dall'ultimo punto al primo per formare una faccia. Sono necessari almeno tre punti per formare una faccia.
  • Premere il tasto W o il pulsante Draft Wipe.svg Pulisci per rimuovere i tratti di curva già posizionati, ma continuare a creare la spline dall'ultimo punto.
  • Premere il tasto U o il pulsante Draft SelectPlane.svg Imposta il piano per posizionare il piano di lavoro corrente nell'orientamento dell'ultimo punto.
  • Premere il tasto X, o Y o Z dopo un punto per vincolare il successivo punto sul dato asse.
  • Per inserire le coordinate manualmente, è sufficiente inserire i numeri, quindi premere Invio per ciascun componente X, Y e Z. È possibile premere il pulsante Draft AddPoint.svg Inserisci punto quando si hanno i valori desiderati per inserire il punto.
  • Premere il tasto R oppure fare clic sulla casella di controllo per attivare la modalità "relativo". Se la modalità relativo è attiva, le coordinate del punto successivo sono relative all'ultimo; in caso contrario, sono assolute, prese dall'origine (0,0,0).
  • Premere il tasto T oppure fare clic sulla casella di controllo per attivare la modalità "continua". Se la modalità continua è attiva, lo strumento B-spline si riavvia dopo aver terminato la B-spline in costruzione, e consente di disegnare una nuova B-spline senza premere nuovamente il pulsante dello strumento.
  • Premere il tasto L oppure fare clic sulla casella di controllo per attivare la modalità riempito. Se la modalità di riempimento è attiva una spline chiusa crea una faccia piena (DatiMake Face true); in caso contrario, la spline chiusa non crea una faccia (DatiMake Face false).
Nota: la spline non deve essere riempita se si autointerseca, in quanto non crea una faccia corretta. Se la spline è piena ma non è visibile nessuna forma, impostare manualmente DatiMake Face su false per vedere la spline.
  • Tenere premuto Ctrl mentre si disegna per forzare l'aggancio del proprio punto alla posizione di aggancio più vicina, indipendentemente dalla distanza.
  • Tenere premuto Maiusc mentre si disegna per vincolare il punto successivo in orizzontale o in verticale rispetto all'ultimo.
  • Premere Ctrl+Z o il pulsante Draft UndoLine.svg Undo per annullare l'ultimo punto.
  • Premere il tasto Esc o il pulsante Chiudi per interrompere il comando corrente; i tratti di linea già posizionati rimangono.

Notes

Lo strumento B-spline si comporta come lo strumento Draft Wire.svg Polilinea, tranne che ciascuno dei suoi tratti è curvo invece di essere un segmento retto. Per convertire tra un tipo l'altro usare Draft WireToBSpline.svg Polilinea in B-spline.

Preferences

See also: Preferences Editor and Draft Preferences.

  • To change the number of decimals used for the input of coordinates: Edit → Preferences... → General → Units → Units settings → Number of decimals.
  • To change the initial value of filled mode: Edit → Preferences... → Draft → General settings → Draft tools options → Fill objects with faces whenever possible. Changing the filled mode in a task panel will override this preference for the current FreeCAD session.

Proprietà

See also: Property editor.

A Draft BSpline object is derived from a Part Part2DObject and inherits all its properties. It also has the following additional properties:

Data

Draft

Dati

  • DatiClosed: specifica se la spline è chiusa o no. Se la spline è inizialmente aperta, questo valore è false; impostandolo su true viene disegnato un tratto di curva per chiudere la spline. Se la spline è inizialmente chiusa, questo valore è true; impostandolo su false si rimuove l'ultimo segmento di curva e si apre la spline.
  • DatiMake Face: specifica se la spline crea o no una faccia. Se è true crea una faccia, altrimenti solo il perimetro è considerato parte dell'oggetto. Questa proprietà funziona solo se DatiClosed è true.
Nota: non impostare DatiMake Face su true se la spline si autointerseca, poiché non crea una faccia corretta.
  • DatiParameterization: influenza la forma della B-spline.

View

Draft

Vista

  • VistaArrow Size: specifica la dimensione del simbolo visualizzato alla fine della spline.
  • VistaArrow Type: specifica il tipo di simbolo visualizzato alla fine della spline, che può essere "Dot", "Circle", "Arrow", o "Tick".
  • VistaEnd Arrow: specifica se mostrare il simbolo nell'ultimo punto della spline, in modo che possa essere usata come una linea di annotazione.
  • VistaPattern: specifica un tipo di Campitura con cui riempire la faccia della spline chiusa. Questa proprietà funziona solo se DatiMake Face è true, e se VistaDisplay Mode è "Flat Lines".
  • VistaPattern Size: specifica la dimensione della Campitura.

Scripting

Lo strumento B-spline può essere utilizzato nelle macro e dalla console Python tramite la seguente funzione:

bspline = make_bspline(pointslist, closed=False, placement=None, face=None, support=None)
bspline = make_bspline(Part.Wire, closed=False, placement=None, face=None, support=None)
  • Crea un oggetto BSpline dalla lista di punti fornita da pointslist.
    • Ogni punto nella lista è definito dal suo FreeCAD.Vector, con unità in millimetri.
    • In alternativa, l'input può essere una Part.Wire, da cui vengono estratti i punti.
  • Se closed è True, o se il primo e l'ultimo punto coincidono, la spline è chiusa.
  • Se viene dato un placement esso viene usato; altrimenti la forma viene creata nell'origine.
  • Se face è True e la spline è chiusa, diventa una faccia e appare riempita.

Esempio:

import FreeCAD as App
import Draft

doc = App.newDocument()

p1 = App.Vector(0, 0, 0)
p2 = App.Vector(1000, 1000, 0)
p3 = App.Vector(2000, 0, 0)

spline1 = Draft.make_bspline([p1, p2, p3], closed=False)
spline2 = Draft.make_bspline([p1, 2*p3, 1.3*p2], closed=False)
spline3 = Draft.make_bspline([1.3*p3, p1, -1.7*p2], closed=False)

doc.recompute()


Arrow-left.svg Pagina precedente: Draft Dimension.svg Quotatura
Pagina successiva: Punto Draft Point.svg Arrow-right.svg